Page MenuHomeFreeBSD

lang/python36: Deprecate and set to expire
ClosedPublic

Authored by kai on Sep 2 2021, 6:58 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 23 2024, 4:18 AM
Unknown Object (File)
Jan 23 2024, 4:18 AM
Unknown Object (File)
Jan 23 2024, 4:16 AM
Unknown Object (File)
Dec 31 2023, 1:31 PM
Unknown Object (File)
Dec 20 2023, 3:03 AM
Unknown Object (File)
Dec 14 2023, 10:56 PM
Unknown Object (File)
Nov 23 2023, 5:10 PM
Unknown Object (File)
Oct 30 2023, 11:48 PM
Subscribers

Details

Summary
lang/python36: Deprecate and set to expire

Python 3.6 will reach its End-of-Life at 23rd December 2021.

Set the deprecation note and expiration date accordingly.

Approved by: koobs (python, maintainer)
Differential_Revision: D31783
MFH: Yes|No <reason>
Test Plan

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kai requested review of this revision.Sep 2 2021, 6:58 AM
kai created this revision.
  • Use upstream language in messaging (this is distinct with ports descriptions/uses of variables)
  • 3.6 is currently in security 'maintenance status', and has an 'end-of-life' date of 2021-12-23
  • Link to upstream refs where they exist and are beneficial to the user

Something like:

DEPRECATED=Upgrade to a newer Python version. 3.6 maintenance status: security fixes only. End-of-Life: 2021-12-23 (https://devguide.python.org/#status-of-python-branches)

Address @koobs's suggestions regarding the deprecation message.

koobs edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Sep 6 2021, 8:49 AM
This revision was automatically updated to reflect the committed changes.